/*
 * TrivialOculusLayoutTest.java
 *
 * Created on February 6, 2001, 5:43 PM
 */

package test;

import com.oculustech.layout.*;

import java.awt.*;
import javax.swing.*;
/**
 * @author  jcmiller
 * @version 
 */
public class LowPriorityAlignmentSpacingTest extends javax.swing.JFrame {

    /** Creates new form LowPriorityAlignmentSpacingTest */
    public LowPriorityAlignmentSpacingTest() {
        initComponents ();
        pack ();
    }

    private void initComponents () {//GEN-BEGIN:initComponents
        JLabel label = new JLabel("Eat at");
        JLabel labelb = new JLabel("Joes");
        JButton button = new JButton("Test Button");

        JLabel label2 = new JLabel("Eat at");
        JLabel labelb2 = new JLabel("Joes");
        JButton button2 = new JButton("Test Button");

        addWindowListener (new java.awt.event.WindowAdapter () {
            public void windowClosing (java.awt.event.WindowEvent evt) {
                exitForm (evt);
            }
        });


        OculusLayoutHelper layout = new OculusLayoutHelper(OculusLayout.VERTICAL);
        layout.nestBox(OculusLayout.HORIZONTAL);
        {
            layout.addFiller();
            layout.add(label);
            layout.addLowPriorityAlignmentSpacing();
            layout.add(labelb);
            layout.addSpace(5);
            layout.add(button);
            layout.parent();
        }
        layout.nestBox(OculusLayout.HORIZONTAL);
        {
            layout.addFiller();
            layout.add(label2);
            layout.addFiller();
            layout.add(labelb2);
            layout.addSpace(5);
            layout.add(button2);
            layout.parent();
        }
        
        getContentPane().setLayout(new OculusLayout(getContentPane(),OculusLayout.HORIZONTAL));
        getContentPane().add(layout.getRoot());
    }//GEN-END:initComponents

    /** Exit the Application */
    private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
        System.exit (0);
    }//GEN-LAST:event_exitForm

    /**
     * @param args the command line arguments
     */
    public static void main (String args[]) {
        new LowPriorityAlignmentSpacingTest ().show ();
    }
}
